Package skyview.util

# Class CoordsPixel

java.lang.Object
skyview.util.CoordsPixel

public class CoordsPixel extends Object
This class gives the coordinate values corresponding to a given pixel location in an image.

## Constructor Summary

Constructors
Constructor
Description
`CoordsPixel()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Usage:
java skyview.util.CoordsPixel file lon lat
where file is the name of the FITS file and lon and lat are the celestial J2000 coordinates Note that the pixel coordinates for an NxM image run from 0 to N and 0 to M.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoordsPixel

public CoordsPixel()

## Method Details

### main

public static void main(String[] args) throws Exception
Usage:
java skyview.util.CoordsPixel file lon lat
where file is the name of the FITS file and lon and lat are the celestial J2000 coordinates Note that the pixel coordinates for an NxM image run from 0 to N and 0 to M. The standard definition used within FITS for coordinates (e.g., in the CRPIX values) would range from 1/2 to N+1/2 and 1/2 to M+1/2.

Throws:
  `Exception`